=== debian/changelog ===
eclipse-cdt (6.0.2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Niels Thykier <niels@thykier.net>  Tue, 15 Feb 2011 15:36:39 +0100

eclipse-cdt (6.0.2-1) unstable; urgency=low

  * New upstream release.
    - eclipse-cdt no longer quits when looking up a declaration.
      (Closes: #348393)
    - Works with current eclipse in Debian, provided that you are not
      affected by #587657 (See the bug or the NEWS file in
      eclipse-platform for more information on hold to deal with #597657).
      (Closes: #574611)
    - Upgraded to newest (possible) version with the current eclipse
      in Debian. (Closes: #441313, LP: #163739, #446131)
  * Fixed the build system. (Closes: #542977, #596851)
  * New maintainers (Closes: #555663)
  * Bumped Standards-Version to 3.9.1.
  * Converted to 3.0 (quilt) source format.

 -- Niels Thykier <niels@thykier.net>  Fri, 08 Oct 2010 10:39:04 +0200

eclipse-cdt (3.1.2-3) unstable; urgency=low

  * New patch, eclipse-cdt-build-on-sparc-s390.patch to build eclipse-cdt on
    sparc and s390 arches. Thanks to Martin Zobel-Helas for the bug report
    and to Michael Koch for the hint on how to fix this. Closes: #478900.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 11 May 2008 09:49:02 +0000

eclipse-cdt (3.1.2-2) unstable; urgency=low

  * Bump Standards-Version: to 3.7.3. No changes needed.
  * Add missing ${shlibs:Depends} to eclipse-cdt package. Thanks to Niko Tyni
    for reporting this.
  * Build-Depends: on default-jdk-builddep. Closes: #477860.
  * eclipse-cdt Build-Conflicts: with itself.

 -- Thomas Girard <thomas.g.girard@free.fr>  Thu, 01 May 2008 16:08:12 +0200

eclipse-cdt (3.1.2-1) unstable; urgency=low

  * New upstream release, resynched with Fedora:
    o refresh the patches
    o do not ship cppunit and autotools plugins yet
  * Add myself to the uploaders field.
  * Bump debhelper compat level to 5, and adapt build-dependency accordingly.
  * Fix DEB_HOST_ARCH logic in debian/rules.
  * Adjust eclipse-cdt dependencies:
    o switch from eclipse-pde to eclipse-platform (Closes: #385350)
    o add gcc and make, as eclipse-cdt is pretty useless without them
    o suggest g++

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 17 Jun 2007 19:41:02 +0000

eclipse-cdt (3.1.1-1) unstable; urgency=medium

  * Merge changes from Ubuntu.
    - works with eclipse-3.2.1. Closes: #402003.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Jan 2007 22:03:26 +0100

eclipse-cdt (3.1.1-0ubuntu2) feisty; urgency=low

  * added bzip2 to build dependencies

 -- Vladimír Lapáček <vladimir.lapacek@gmail.com>  Sat,  6 Jan 2007 08:41:53 +0100

eclipse-cdt (3.1.1-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Updated to use Eclipse 3.2.1

 -- Vladimír Lapáček <vladimir.lapacek@gmail.com>  Wed,  6 Dec 2006 22:58:10 +0100

eclipse-cdt (3.0.1-3) unstable; urgency=low

  * debian/rules: Adjusted for current eclipse (Closes: #345371).
  * Updated Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Thu, 22 Jun 2006 09:36:48 +0000

eclipse-cdt (3.0.1-2) unstable; urgency=low

  * debian/control: Make eclipse-cdt Depends on exuberant-ctags | ctags
    and fixed package decription.
  * debian/control: Added Build-Depends on java-gcj-compat-dev
    (Closes: #345371).

 -- Michael Koch <konqueror@gmx.de>  Sun,  1 Jan 2006 12:59:27 +0000

eclipse-cdt (3.0.1-1) unstable; urgency=low

  [ Michael Koch ]
  * Initial Version (Closes: #195236, #284911).

  [ Stephan Michels ]
  * debian/control: Changed the dependency from eclipse-sdk to eclipse.
    Updated the description.
  * debian/rules: Use variable for the name of the releng plugin.
  * debian/rules: Use -DskipFetch=true instead of -DdontFetchAnything=true.
  * debian/rules: Define property "config" in rules instead of using
    patches to change the properties files.
  * debian/copyright: Updated copyright from CPL to EPL
  * debian/rules: Add patch for disable the logging to a file
    for the javadoc generation.

 -- Stephan Michels <stephan@apache.org>  Wed, 21 Dec 2005 16:58:32 +0100
