=== debian/control ===
Source: eclipse-cdt
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               default-jdk,
               eclipse-pde (>= 3.5.2),
               eclipse-rse,
               javahelper (>= 0.32~),
               libcommons-codec-java (>= 1.4-2),
               libcommons-httpclient-java (>= 3.1-9),
               libcommons-lang-java,
               unzip,
               zip
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-java/eclipse-cdt.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse-cdt.git
Homepage: http://www.eclipse.org/cdt/

Package: eclipse-cdt
Architecture: any
Depends: eclipse-platform (>= 3.5.2),
         exuberant-ctags | ctags,
         gcc,
         make,
         ${misc:Depends},
         ${orbit:Depends},
         ${shlibs:Depends}
Suggests: g++
Description: C/C++ Development Tools for Eclipse
 The eclipse-cdt package contains Eclipse features and plugins that are
 useful for C and C++ development.
 .
 The current release function includes:
  * C/C++ Editor (basic functionality, syntax highlighting, code completion,
    etc.)
  * C/C++ Debugger (APIs & Default implementation, using GDB)
  * C/C++ Launcher (APIs & Default implementation, launches and external
    application)
  * Parser
  * Search Engine
  * Content Assist Provider
  * Makefile generator
