=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME:=/usr/lib/jvm/default-java
BUILD_ID:=201002161416

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386 i486 i586 i686))
	ECLIPSE_BUILD_ARCH=x86
endif
ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),arm))
	ECLIPSE_BUILD_ARCH=arm
endif
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
	ECLIPSE_BUILD_ARCH=x86_64
endif
ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),mips))
	ECLIPSE_BUILD_ARCH=$(DEB_HOST_ARCH)
endif
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),parisc parisc64))
	ECLIPSE_BUILD_ARCH=PA_RISC
endif
ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
	ECLIPSE_BUILD_ARCH=ppc
endif
ifeq ($(ECLIPSE_BUILD_ARCH),)
	ECLIPSE_BUILD_ARCH=$(DEB_HOST_ARCH_CPU)
endif

BUILD_DIR:=debian/.eclipse-build

%:
	dh $@ --with eclipse-helper

override_dh_auto_clean:
	# Do not use the auto-clean with ant.
override_dh_auto_build:
	# Do not use the auto-build with ant.

override_jh_compilefeatures:
	cd $(BUILD_DIR)/results/plugins/org.eclipse.cdt.core.linux/library && \
		make JAVA_HOME="$(JAVA_HOME)" ARCH=$(ECLIPSE_BUILD_ARCH) CC='gcc -D_GNU_SOURCE' CFLAGS="$(CFLAGS) -fPIC" LDFLAGS="$(LDFLAGS) -fPIC"
	jh_compilefeatures --build-opts="-DjavacTarget=1.5 -DjavacSource=1.5 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";

override_dh_install:
	dh_install -peclipse-cdt $(BUILD_DIR)/results/plugins/org.eclipse.cdt.core.linux.$(ECLIPSE_BUILD_ARCH)/os/linux/$(ECLIPSE_BUILD_ARCH)/*.so usr/lib/jni/
	dh_install --remaining-packages

override_jh_installeclipse:
	jh_installeclipse
	rm -fr debian/eclipse-cdt/usr/lib/eclipse/dropins/cdt/eclipse/plugins/org.eclipse.cdt.platform.source_*/src/org.eclipse.cdt.ui_*/about_files/
	cd debian/eclipse-cdt/usr && \
		find lib/ -type f \( -name '*.bmp' -o -name '*.gif' -o -name '*.jpg' -o -name '*.png' \) | perl ../../../debian/imagemv.pl

get-orig-source:
	debian/fetch-cdt.sh
