## eclipse-cdt 8.0.1

=== debian/changelog ===
eclipse-cdt (8.0.1-1) unstable; urgency=low

  * New upstream release.
  * Split the JNI packages into a separate architecture dependent
    package and made eclipse-cdt architecture independent.
  * Install JNI libraries into multiarch aware location
  * Bumped Standards-Version to 3.9.2.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 06 Oct 2011 21:15:04 +0200
