=== debian/control ===
Source: eclipse-cdt
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
           Benjamin Drung <bdrung@debian.org>,
           Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>= 8~),
               default-jdk,
               eclipse-pde (>= 3.7~exp),
               eclipse-rse,
               javahelper (>= 0.32~),
               unzip,
               zip
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-java/eclipse-cdt.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse-cdt.git
Homepage: http://www.eclipse.org/cdt/

Package: eclipse-cdt
Architecture: all
Depends: eclipse-platform (>= 3.7~exp),
         eclipse-rse,
         eclipse-cdt-jni (>= ${source:Version}),
         gcc,
         make,
         ${misc:Depends},
         ${orbit:Depends}
Suggests: g++
Description: C/C++ Development Tools for Eclipse
 The eclipse-cdt package contains Eclipse features and plugins that are
 useful for C and C++ development.
 .
 The current release function includes:
  * C/C++ Editor (basic functionality, syntax highlighting, code completion,
    etc.)
  * C/C++ Debugger (APIs & Default implementation, using GDB)
  * C/C++ Launcher (APIs & Default implementation, launches and external
    application)
  * Parser
  * Search Engine
  * Content Assist Provider
  * Makefile generator

Package: eclipse-cdt-jni
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C/C++ Development Tools for Eclipse (JNI)
 The eclipse-cdt package contains Eclipse features and plugins that are
 useful for C and C++ development.
 .
 The current release function includes:
  * C/C++ Editor (basic functionality, syntax highlighting, code completion,
    etc.)
  * C/C++ Debugger (APIs & Default implementation, using GDB)
  * C/C++ Launcher (APIs & Default implementation, launches and external
    application)
  * Parser
  * Search Engine
  * Content Assist Provider
  * Makefile generator
 .
 This package contains architecture specific JNI libraries
