=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: eclipse-cdt
-Section: java
+Section: devel
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
-           Benjamin Drung <bdrung@debian.org>,
            Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: debhelper (>= 8~),
+Build-Depends: debhelper (>= 9~),
                default-jdk,
                eclipse-pde (>= 3.7~exp),
                eclipse-rse,
                javahelper (>= 0.32~),
                unzip,
                zip
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-java/eclipse-cdt.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse-cdt.git
 Homepage: http://www.eclipse.org/cdt/
