=== debian/changelog ===
eclipse-cdt (8.1.0+dfsg-2) unstable; urgency=low

  * Enable eclipse-cdt-autotools plugin.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Jun 2012 11:51:21 +0200

eclipse-cdt (8.1.0+dfsg-1) unstable; urgency=low

  * Remove files generated out of texi documentation.
  * Update d/watch.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Jun 2012 11:29:38 +0200

eclipse-cdt (8.1.0-2) unstable; urgency=low

  * Bump versioned build dependency on debhelper to get better
    handling of architecture specific override targets.
  * Add versioned build dependency on dpkg-dev to get build-arch
    support.
  * Properly split build in architecture specific parts.  This
    works around a FTBFS on sparc and reduces the build time for
    doing architecture specific builds.

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Jun 2012 10:34:20 +0200

eclipse-cdt (8.1.0-1) unstable; urgency=low

  [ Jakub Adam ]
  * New upstream release.
  * Compile for Java 1.6.
  * Use default CPPFLAGS in jni library build.
    - Enables Fortify Source functions.

  [ Niels Thykier ]
  * Cherry-pick upstream patch for Eclipse Bug 382496.
  * Bump (Build-)Depends on eclipse to 3.8.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 23 Jun 2012 19:38:18 +0200
