=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
            Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 9.20120608~),
                default-jdk,
-               eclipse-pde (>= 3.7~exp),
+               dpkg-dev (>= 1.16.2~),
+               eclipse-pde (>= 3.8~),
                eclipse-rse,
                javahelper (>= 0.32~),
                unzip,
@@ -18,7 +19,7 @@
 
 Package: eclipse-cdt
 Architecture: all
-Depends: eclipse-platform (>= 3.7~exp),
+Depends: eclipse-platform (>= 3.8~),
          eclipse-rse,
          eclipse-cdt-jni (>= ${source:Version}),
          gcc,
@@ -63,3 +64,29 @@
  .
  This package contains architecture specific JNI libraries
 
+Package: eclipse-cdt-autotools
+Architecture: all
+Depends: eclipse-cdt (= ${source:Version}),
+         autoconf,
+         automake,
+         ${misc:Depends},
+         ${orbit:Depends}
+Description: Autotools support for Eclipse CDT
+ The Autotools suite of plugins adds to the CDT a support for building and
+ maintaining C/C++ projects that use Autotools. With this additional support,
+ a vast repository of C/C++ code can be checked out, built, and maintained
+ under the CDT rather easily without having to resort to the command line.
+ .
+ In conjunction with the CDT, the plugin can do the following:
+  * Build a C/C++ project that uses a configure script or an autogen
+    script or a Makefile.cvs script
+  * Create a simple C or C++ hello world Autotools project via a template
+  * Allow configuration parameters to be set via a gui and to rebuild when
+    configuration parameters are changed
+  * Colorized editing of configuration files such as configure.in, configure.ac,
+    Makefile.am, and Makefile.in with full hover help for autoconf/automake
+    macros
+  * Allow specification of multiple build configurations for a single project
+  * Run autotools such as autoconf, automake, or aclocal directly using a gui
+    interface
+  * Includes hover help for autoconf and automake macros in the editors
