=== debian/rules ===
--- 
+++ 
@@ -38,19 +38,33 @@
 override_dh_auto_build:
 	# Do not use the auto-build with ant.
 
-override_jh_compilefeatures:
+MACROS_DIR=debian/.eclipse-build/org.eclipse.cdt.autotools.ui/macros
+override_jh_setupenvironment:
+	jh_setupenvironment
+	mkdir -p $(MACROS_DIR)
+	cd debian/docs && ./regenerateFromTexinfo.sh
+	cp debian/docs/acmacros-*.xml debian/docs/ammacros-*.xml $(MACROS_DIR)
+
+override_jh_compilefeatures-arch:
 	cd $(BUILD_DIR)/org.eclipse.cdt.core.linux/library && \
 		make JAVA_HOME="$(JAVA_HOME)" ARCH=$(ECLIPSE_BUILD_ARCH) CC='gcc -D_GNU_SOURCE' CFLAGS="$(CFLAGS) -fPIC" LDFLAGS="$(LDFLAGS) -fPIC"
-	jh_compilefeatures --build-opts="-DjavacTarget=1.5 -DjavacSource=1.5 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";
+
+override_jh_compilefeatures-indep:
+	jh_compilefeatures --build-opts="-DjavacTarget=1.6 -DjavacSource=1.6 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";
 
 jnidir := /usr/lib/$(DEB_HOST_MULTIARCH)/jni
-override_dh_install:
+
+override_dh_install-arch:
 	dh_install -peclipse-cdt-jni $(BUILD_DIR)/org.eclipse.cdt.core.linux.$(ECLIPSE_BUILD_ARCH)/os/linux/$(ECLIPSE_BUILD_ARCH)/*.so $(jnidir)
-	dh_install --remaining-packages
+	dh_install -a --remaining-packages
 
-override_jh_installeclipse:
+override_jh_installeclipse-indep:
 	jh_installeclipse
 	rm -f debian/eclipse-cdt/usr/share/eclipse/dropins/cdt/eclipse/plugins/org.eclipse.cdt.launch.remote.source*.jar
 
+override_dh_clean:
+	dh_clean
+	rm -rf debian/docs/*.xml
+
 get-orig-source:
 	debian/fetch-cdt.sh
