=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d?// \
http://www.eclipse.org/cdt/downloads.php \
http://www\.eclipse\.org/downloads/download\.php\?file=/tools/cdt/releases/.*/r/cdt-master-([\d\.]*)\.zip
