## eclipse-cdt 8.1.2

=== debian/changelog ===
eclipse-cdt (8.1.2-2) unstable; urgency=low

  * Add Breaks/Replaces: eclipse-cdt (<< 8.1.2-1) into 
    eclipse-cdt-launch-remote to allow clean upgrades.
  * Let eclipse-cdt Suggest eclipse-cdt-autotools and 
    eclipse-cdt-launch-remote.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 04 Apr 2013 16:38:16 +0200

eclipse-cdt (8.1.2-1) experimental; urgency=low

  * New upstream release.
  * Use xz compression for orig tarball.
  * Package remote launch feature as a separate binary deb.
    - Doesn't force all CDT users to install about 5MB of eclipse-rse,
      only those who need remote launch capabilities will have to.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 15 Mar 2013 17:16:32 +0100

eclipse-cdt (8.1.1-1) experimental; urgency=low

  * New upstream release.
  * Rewritten obsolete d/fetch-cdt.sh.
  * Updated d/watch.
  * Removed d/patches/ebug-382496.patch (applied upstream).
  * Bump Standards-Version to 3.9.4.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 20 Dec 2012 12:29:49 +0100
