=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                javahelper (>= 0.32~),
                unzip,
                zip
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-java/eclipse-cdt.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse-cdt.git
 Homepage: http://www.eclipse.org/cdt/
@@ -20,13 +20,14 @@
 Package: eclipse-cdt
 Architecture: all
 Depends: eclipse-platform (>= 3.8~),
-         eclipse-rse,
          eclipse-cdt-jni (>= ${source:Version}),
          gcc,
          make,
          ${misc:Depends},
          ${orbit:Depends}
-Suggests: g++
+Suggests: g++,
+          eclipse-cdt-autotools,
+          eclipse-cdt-launch-remote
 Description: C/C++ Development Tools for Eclipse
  The eclipse-cdt package contains Eclipse features and plugins that are
  useful for C and C++ development.
@@ -90,3 +91,18 @@
   * Run autotools such as autoconf, automake, or aclocal directly using a gui
     interface
   * Includes hover help for autoconf and automake macros in the editors
+
+Package: eclipse-cdt-launch-remote
+Architecture: all
+Depends: eclipse-cdt (= ${source:Version}),
+         eclipse-rse,
+         ${misc:Depends},
+         ${orbit:Depends}
+Breaks: eclipse-cdt (<< 8.1.2-1)
+Replaces: eclipse-cdt (<< 8.1.2-1)
+Description: Remote launch and debug support for Eclipse CDT
+ The eclipse-cdt package contains Eclipse features and plugins that are
+ useful for C and C++ development.
+ .
+ This package allows one to upload and launch a C/C++ application on a remote
+ host machine from within CDT. Remote debugging is also supported.
