## eclipse-cdt 8.2.1

=== debian/changelog ===
eclipse-cdt (8.2.1-1) unstable; urgency=low

  * New upstream release.
  * Updated autotools documentation sources.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 03 Oct 2013 20:30:16 +0200

eclipse-cdt (8.2.0-2) unstable; urgency=low

  * Fix FTBFS with make 3.82 (Closes: #720832).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 27 Aug 2013 18:52:15 +0200

eclipse-cdt (8.2.0-1) unstable; urgency=low

  * New upstream release.
  * Updated automake documentation sources.
  * New binary package eclipse-cdt-qt.
  * Canonicalize Vcs-* fields of d/control.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 03 Jul 2013 10:31:52 +0200
