=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                unzip,
                zip
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-java/eclipse-cdt.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse-cdt.git
+Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-cdt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-cdt.git
 Homepage: http://www.eclipse.org/cdt/
 
 Package: eclipse-cdt
@@ -106,3 +106,12 @@
  .
  This package allows one to upload and launch a C/C++ application on a remote
  host machine from within CDT. Remote debugging is also supported.
+
+Package: eclipse-cdt-qt
+Architecture: all
+Depends: eclipse-cdt (= ${source:Version}),
+         ${misc:Depends},
+         ${orbit:Depends}
+Description: Qt framework support for Eclipse CDT
+ This package provides basic keyword highlighting and code completion for
+ development of C++ applications with Qt framework in Eclipse IDE.
