=== core/org.eclipse.cdt.core.tests/resources/testlib/x86/so.g/Makefile ===
include ../../common.mk
