=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,12 @@
 
 BUILD_DIR:=debian/.eclipse-build
 
+%:
+	dh $@ --with eclipse-helper
+
+# There is 'build' directory in the source tree colliding with 'build' target
 .PHONY: build
-
-build %:
+build:
 	dh $@ --with eclipse-helper
 
 override_dh_auto_clean:
