## eclipse-cdt 8.4.0

=== debian/changelog ===
eclipse-cdt (8.4.0-1) unstable; urgency=medium

  [ Jakub Adam ]
  * New upstream release.
  * Build with javac target 1.7.
  * Add eclipse-remote-services-api to Build-Depends.
  * Override codeless-jar and incompatible-java-bytecode-format Lintian
    warnings.

  [ tony mancill ]
  * Bump version of default-jdk dependency to (>= 2:1.7)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 26 Jul 2014 11:21:24 +0200

eclipse-cdt (8.3.0-3) unstable; urgency=medium

  * Team upload.
  * Fixed a build failure with Java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 27 Jun 2014 00:19:08 +0200

eclipse-cdt (8.3.0-2) unstable; urgency=medium

  * Build-Depends on default-jdk (>= 2:1.6) (Closes: #743234)
    - disables build on architectures with gcj-jdk as their default JDK.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 12 May 2014 18:38:56 +0200
