## eclipse-cdt 8.5.0

=== debian/changelog ===
eclipse-cdt (8.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 28 Sep 2014 14:11:16 +0200
