=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Niels Thykier <niels@thykier.net>,
            Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: debhelper (>= 9.20120608~),
-               default-jdk,
+               default-jdk (>= 2:1.7),
                dpkg-dev (>= 1.16.2~),
                eclipse-pde (>= 3.8~),
+               eclipse-remote-services-api,
                eclipse-rse,
                javahelper (>= 0.32~),
                unzip,
@@ -68,6 +69,7 @@
 Package: eclipse-cdt-autotools
 Architecture: all
 Depends: eclipse-cdt (= ${source:Version}),
+         eclipse-remote-services-api,
          autoconf,
          automake,
          ${misc:Depends},
