=== core/org.eclipse.cdt.core.qnx/library/Makefile ===
LIST=ALL
ifndef QRECURSE
QRECURSE=recurse.mk
ifdef QCONFIG
QRDIR=$(dir $(QCONFIG))
endif
endif
include $(QRDIR)$(QRECURSE)
