=== debian/changelog ===
eclipse-cdt (8.6.0-2) unstable; urgency=medium

  * Team upload.
  * Depend on eclipse-pde >= 3.8.1-9 to fix the build failure with Java 8
    (Closes: #817880)
  * Removed the unused Lintian overrides
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs
  * Fixed the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Oct 2016 22:35:34 +0200

eclipse-cdt (8.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Override incompatible-java-bytecode-format Lintian warning.
  * Remove Niels Thykier from Uploaders (Closes: #770558).
  * Require eclipse >= 3.8.1-8
    - CDT needs libicu4j-49-java for correct working of the debugger
      integration.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 27 Feb 2015 23:27:07 +0100
