=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Niels Thykier <niels@thykier.net>,
-           Jakub Adam <jakub.adam@ktknet.cz>
+Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends: debhelper (>= 9.20120608~),
                default-jdk (>= 2:1.7),
                dpkg-dev (>= 1.16.2~),
-               eclipse-pde (>= 3.8~),
+               eclipse-pde (>= 3.8.1-9),
                eclipse-remote-services-api,
                eclipse-rse,
                javahelper (>= 0.32~),
                unzip,
                zip
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-cdt.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-cdt.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/eclipse-cdt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/eclipse-cdt.git
 Homepage: http://www.eclipse.org/cdt/
 
 Package: eclipse-cdt
