=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d?// \
http://git.eclipse.org/c/cdt/org.eclipse.cdt.git/refs/ \
/c/cdt/org.eclipse.cdt.git/snapshot/CDT_(\d+)_(\d+)_(\d+).tar.gz
